Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.core.timer
Interface GlobalSchedulerService

All Superinterfaces:
  org.drools.core.time.InternalSchedulerService, org.drools.core.time.SchedulerService

All Known Implementing Classes:
  QuartzSchedulerService, ThreadPoolSchedulerService

    public interface GlobalSchedulerService

extends org.drools.core.time.SchedulerService, org.drools.core.time.InternalSchedulerService

Implementations of these interface are responsible for scheduled jobs in global manner, meaning not knowledge session scoped but global accessible for all the sessions that will be configured to use this `GlobalSchedulerService`

Method Summary
`org.drools.core.time.JobHandle` | `buildJobHandleForContext(NamedJobContext ctx)`
`void` | `initScheduler(org.drools.core.time.TimerService timerService)` Provides handle to inject timerService that owns this scheduler service and initialize it
`boolean` | `isTransactional()`
`boolean` | `retryEnabled()`
`void` | `setInterceptor(SchedulerServiceInterceptor interceptor)`
`void` | `shutdown()` Allows to shutdown the scheduler service

Methods inherited from interface org.drools.core.time.SchedulerService
`removeJob, scheduleJob`

Methods inherited from interface org.drools.core.time.InternalSchedulerService
`internalSchedule`

Method Detail

### initScheduler

    void initScheduler(org.drools.core.time.TimerService timerService)

  Provides handle to inject timerService that owns this scheduler service and initialize it

  Parameters:
    `timerService` - owner of this scheduler service

### shutdown

    void shutdown()

  Allows to shutdown the scheduler service

### buildJobHandleForContext

    org.drools.core.time.JobHandle buildJobHandleForContext(NamedJobContext ctx)

### isTransactional

    boolean isTransactional()

### retryEnabled

    boolean retryEnabled()

### setInterceptor

    void setInterceptor(SchedulerServiceInterceptor interceptor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.